Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 592718 - media-gfx/fontypython - Fonts not rendered in the font preview. A fallback font is used instead.
Summary: media-gfx/fontypython - Fonts not rendered in the font preview. A fallback fo...
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 2 votes (vote)
Assignee: Gentoo Graphics Project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-02 10:32 UTC by Serge
Modified: 2018-08-15 07:15 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Ebuild for media-gfx/fontypython-0.4.6 (fontypython-0.4.6.ebuild,892 bytes, text/plain)
2017-06-17 20:36 UTC, Sophie Hamilton
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Serge 2016-09-02 10:32:04 UTC
Due to update to >=python-pillow-3.1.1 fontypython stops working.

There is a debian bug report with fixes: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=820957#15

Please add a patch to ebuild.

Affected versions:
>media-gfx/fontypython-0.4.4
Comment 1 Sophie Hamilton 2017-06-17 20:36:36 UTC
Created attachment 476764 [details]
Ebuild for media-gfx/fontypython-0.4.6

This is fixed as of fontypython 0.4.5; instead of creating a patch for 0.4.4-r3 (the latest version in the tree), I've created an ebuild for the latest version, which is 0.4.6 right now (released 2016-07-09), and I've attached the ebuild to this comment. Most of the other patches on the current ebuild have been fixed upstream too.

Please give this a test if you can!
Comment 2 David Fellows 2018-03-03 18:16:15 UTC
(In reply to Sophie Hamilton from comment #1)
> Created attachment 476764 [details]
> Ebuild for media-gfx/fontypython-0.4.6
> 
> This is fixed as of fontypython 0.4.5; instead of creating a patch for
> 0.4.4-r3 (the latest version in the tree), I've created an ebuild for the
> latest version, which is 0.4.6 right now (released 2016-07-09), and I've
> attached the ebuild to this comment. Most of the other patches on the
> current ebuild have been fixed upstream too.
> 
> Please give this a test if you can!

I haven't used fontypython for  while. Trying it today resulted in the error
described in this bug. 
 
Sophie's ebuild works for me and solves the subject of this bug for me.
(amd64)

Past time to update fontypython I think.
Comment 3 Sophie Hamilton 2018-03-03 23:04:17 UTC
Thanks for the feedback. :)

By the way, fontypython doesn't appear to crash with a debug build of wxGTK on my system (bug #201315), so far as I can see, so the dependency on a non-debug version of wxGTK can probably be removed.
Comment 4 Bodo Graumann 2018-08-15 07:15:05 UTC
I was looking for a font manager on linux and fontypython was the only, somewhat maintained result I found. (Do you know any other?)

The bug is indeed fixed with the suggested 0.4.6 ebuild. Please add it to the tree!

Also there is now a version 0.5. I had to remove all our patches to get it to build, but it didn't run. During build I still got:

> * ACCESS DENIED:  unlink:       /usr/share/pixmaps/fontypython.png

and when trying to start it said:

> Traceback (most recent call last):
>   File "/usr/lib64/python2.7/site-packages/fontypythonmodules/fontypython", line 18, in <module>
>     import fontypythonmodules.i18n
> ImportError: No module named 'fontypythonmodules'